<!--
 * @Description: 区县二级大屏问题破解模块典型案列详情
 * @Author: @liulin
 * @Date: 2023-04-07 14:14:55
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-04-07 16:40:04
-->
<template>
  <div class="dialog-table-container">
    <el-table
      :element-loading-background="loadingColor"
      v-loading="loading"
      height="65vh"
      align="center"
      :data="tableData"
      class="dialog_table"
      :cell-style="{'text-align': 'center'}"
      :header-cell-style="{'text-align': 'center'}"
    >
      <el-table-column type="index" label="序号" width="60"></el-table-column>
      <el-table-column
        prop="blockageCardTopic"
        label="堵点卡点名称"
        width="320"
        align="left"
      >
      </el-table-column>
      <el-table-column prop="blockageSourceChannel" label="来源渠道" width="200">
        <template v-slot="{row}">
          {{ getDictName('ddkdlyqd', row.blockageSourceChannel) }}
        </template>
      </el-table-column>
      <el-table-column prop="blockageField" label="所属领域" width="200">
        <template v-slot="{row}">
          {{ getDictName('ggbb_ssly', row.blockageField) }}
        </template>
      </el-table-column>
      <el-table-column prop="blockageRunway" label="所属跑道" width="150">
        <template v-slot="{row}">
          {{ getDictName('ggbb_sspd', row.blockageRunway) }}
        </template>
      </el-table-column>
      <el-table-column prop="blockageDate" label="堵点卡出现日期" width="150"></el-table-column>
    </el-table>
  </div>
</template>

<script>
import req from '@/request.js'
const portal = window.context.portal
import utils from '@/utils.js'
export default {
  name: 'indexRank',
  props: {
    tableOptions: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data() {
    return {
      loading: false,
      loadingColor: 'rgba(6, 46, 106, 0.4)',
      tableData: []
    }
  },
  mounted() {
    this.querysParams = this.$route.query
    let {code} = this.querysParams
    let { quarter, year } = this.tableOptions
    this.loadData(code, quarter, year)
  },
  methods: {
    getDictName(code, value) {
      return utils.getDictName(code, value)
    },
    // 改革品牌榜
    loadData(unitCode, quarter, year) {
      this.loading = true
      const api = `/county/largeScreen/v1/problemSolving_sec?unitCode=${unitCode}&quarter=${quarter}&year=${year}`
      req
        .post(portal + api)
        .then(res => {
          const data = (res && res.data) || {}
          this.tableData = data.detail || []
          this.loading = false
        })
        .catch(() => {
          this.loading = false
        })
    }
  }
}
</script>
<style lang="scss" scoped>
.column-item-rotate {
  display: inline-block;
  transform: rotateX(180deg);
}

.cqlt-icon-arrow {
  font-size: 18px;
}

.column-trend-icon-1 {
  color: #59c06c;
  text-shadow: #59c06c 1px 0 12px;
}

.column-trend-icon-2 {
  color: #fe3b30;
  text-shadow: #fe3b30 1px 0 12px;
}
</style>
<style lang="scss">
@import '../majorProjects-components/table.scss';
</style>
